<?php

namespace Pement\Pement\Model;

class ConfigProvider implements \Magento\Checkout\Model\ConfigProviderInterface
{
    protected $methodCode = \Pement\Pement\Model\Pement::PAYMENT_PEMENT_CODE;


    protected $method;


    public function __construct(\Magento\Payment\Helper\Data $paymenthelper){
        $this->method = $paymenthelper->getMethodInstance($this->methodCode);
    }

    public function getConfig(){

        return $this->method->isAvailable() ? [
            'payment'=>['pement'=>[
                'redirectUrl'=>$this->method->getRedirectUrl()
            ]
        ]
        ]:[];
    }
}
